Skip to main content
GET
/
mud
/
worlds
/
{world}
/
tables
/
{table_id}
/
records
List of MUD world table records.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records?apikey='
{
  "items": [
    {
      "decoded": {},
      "id": "<string>",
      "is_deleted": true,
      "raw": {
        "block_number": "<string>",
        "dynamic_data": "<string>",
        "encoded_lengths": "<string>",
        "key0": "<string>",
        "key1": "<string>",
        "key_bytes": "<string>",
        "log_index": "<string>",
        "static_data": "<string>"
      },
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "key0": "0x73796269746c7900000000000000000043686573743332000000000000000000",
    "key_bytes": "0x73796269746c7900000000000000000043686573743332000000000000000000"
  },
  "schema": {
    "key_names": [
      "<string>"
    ],
    "key_types": [
      "<string>"
    ],
    "value_names": [
      "<string>"
    ],
    "value_types": [
      "<string>"
    ]
  },
  "table": {
    "table_full_name": "<string>",
    "table_id": "<string>",
    "table_name": "<string>",
    "table_namespace": "<string>",
    "table_type": "offchain"
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

world
string
required

MUD world address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
table_id
string
required

MUD table ID in the path

Pattern: ^0x([A-Fa-f0-9]{64})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

filter_key0
string

Filter by key0

filter_key1
string

Filter by key1

sort
enum<string>

Sort transactions by:

  • block_number - Sort by block number
  • value - Sort by transaction value
  • fee - Sort by transaction fee
  • balance - Sort by account balance
  • transactions_count - Sort by number of transactions on address
  • fiat_value - Sort by fiat value of the token transfer
  • holders_count - Sort by number of token holders
  • circulating_market_cap - Sort by circulating market cap of the token Should be used together with order parameter.
Available options:
key_bytes,
key0,
key1
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
key_bytes
string

MUD record key_bytes for paging

Pattern: ^0x([A-Fa-f0-9]*)$
key0
string

MUD record key0 for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
key1
string

MUD record key1 for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

List of MUD world table records.

items
Record · object[]
required
next_page_params
object
required
Example:
{
"items_count": 50,
"key0": "0x73796269746c7900000000000000000043686573743332000000000000000000",
"key_bytes": "0x73796269746c7900000000000000000043686573743332000000000000000000"
}
schema
TableSchema · object
required

MUD TableSchema struct.

table
Table · object
required

MUD Table struct.